Bug 242969 - deskutils/ical: Update to 2.3.1
Summary: deskutils/ical: Update to 2.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-12-29 22:01 UTC by J.R. Oldroyd
Modified: 2020-01-12 18:08 UTC (History)
1 user (show)

See Also:


Attachments
patch to update port from 2.2 to 2.3.1 (19.84 KB, patch)
2019-12-29 22:01 UTC, J.R. Oldroyd
fbsd: maintainer-approval+
Details | Diff
patch to update port from 2.2 to 2.3.1 (19.47 KB, patch)
2019-12-29 22:09 UTC, J.R. Oldroyd
fbsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description J.R. Oldroyd 2019-12-29 22:01:34 UTC
Created attachment 210314 [details]
patch to update port from 2.2 to 2.3.1
Comment 1 J.R. Oldroyd 2019-12-29 22:09:12 UTC
Created attachment 210315 [details]
patch to update port from 2.2 to 2.3.1

Removed a Makefile comment that isn't useful.  Info is better on the web page.
Comment 2 Fernando Apesteguía freebsd_committer 2020-01-06 18:35:10 UTC
Hi J.R.

Thanks for the patch. I have a question though: in http://opal.com/jr/ical/ it seems there is a ready version for FreeBSD that is much newer than the 2.3.1 (http://opal.com/jr/ical/ical-3.0.4.tar.gz)

Why not update to that version?

Cheers.
Comment 3 J.R. Oldroyd 2020-01-12 12:23:45 UTC
I replied to this by email, but it doesn't seem to have attached to this PR.

A little history here.

Our current version 2.2 was the last version by the original author.

Versions 2.3.x were maintenance releases to include patches for updates to things like tcl/tk/gcc etc, as those were developed over the years.  But they are fundamentally the same code.

Versions 3.0.x have been provided by a new author who has continued maintenance updates but who has also added some new features.  I am testing this version now.

I thought we should include an update to the 2.3.1 version and then go to the new version after.
Comment 4 Fernando Apesteguía freebsd_committer 2020-01-12 13:41:29 UTC
(In reply to J.R. Oldroyd from comment #3)

Thanks for the clarification

> I thought we should include an update to the 2.3.1 version and then go to the
> new version after.

It looks like a plan :-)
Comment 5 commit-hook freebsd_committer 2020-01-12 18:06:12 UTC
A commit references this bug:

Author: fernape
Date: Sun Jan 12 18:05:15 UTC 2020
New revision: 522825
URL: https://svnweb.freebsd.org/changeset/ports/522825

Log:
  deskutils/ical: update to 2.3.1

  PR:     242969
  Submitted by:   fbsd@opal.com (maintainer)

Changes:
  head/deskutils/ical/Makefile
  head/deskutils/ical/distinfo
  head/deskutils/ical/files/patch-cal_tcl.C
  head/deskutils/ical/files/patch-config.h.in
  head/deskutils/ical/files/patch-configure
  head/deskutils/ical/files/patch-dateeditor.C
  head/deskutils/ical/files/patch-dispatch.C
  head/deskutils/ical/files/patch-ical.h
  head/deskutils/ical/files/patch-item_tcl.C
  head/deskutils/ical/files/patch-pref.tcl
  head/deskutils/ical/files/pkg-message.in
  head/deskutils/ical/pkg-descr
  head/deskutils/ical/pkg-plist
Comment 6 Fernando Apesteguía freebsd_committer 2020-01-12 18:08:33 UTC
Committed,

Thanks!